Method: projects.locations.global.managedZones.create | Integration Connectors | Google Cloud Documentation (original) (raw)
- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- Try it!
Creates a new ManagedZone in a given project and location.
HTTP request
POST https://connectors.googleapis.com/v1/{parent=projects/*/locations/global}/managedZones
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
| parent | string Required. Parent resource of the ManagedZone, of the form: projects/*/locations/global Authorization requires the following IAM permission on the specified resource parent: connectors.managedZones.create |
Query parameters
| Parameters | |
|---|---|
| managedZoneId | string Required. Identifier to assign to the ManagedZone. Must be unique within scope of the parent resource. |
Request body
The request body contains an instance of [ManagedZone](/integration-connectors/docs/reference/rest/v1/projects.locations.global.managedZones#ManagedZone).
Response body
If successful, the response body contains a newly created instance of [Operation](/integration-connectors/docs/reference/rest/v1/projects.locations.operations#Operation).
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.